Subject: LRO: True Brits (was Guiness)

From: "Coates, Clinton" <[email-masked]>
Date: Tue, 12 Jun 2001 11:15:29 -0600

Somebody wrote that the Scots, English and Welsh were British, but not the
Irish?  I have a cousin in law from Wales (a Jones...) who has informed me
that "...the Welsh are the only true Britons...".  The term English is an
evolved form of Angleisch (or some version of this spelling) which comes
from the Angles, one of the Teutonic mob that came over to Briton in the
400s and onwards.  Hence, Anglo-Saxon...  It seems there was a Welsh king
named Arthur or Artur or Artursus or somesuch who took umbrage with this and
tried to kick them out, to no avail...

I am sure someone with a better grasp of history and archaeo-linguistics
could pin me down on some of the dates and details, but in broad strokes, I
think that comes close.

Funny, all those good Anglo Saxon Britons from Robin Hood's time were being
put upon by Normans, who were nothing more than a bunch of hopped up
Vikings, another Germanic crowd.

Gotta love history!

Clinton